
Foreman - Feature #27547

Add API endpoint returning visible menu items for current user

08/08/2019 10:16 AM - Ondřej Pražák

Status: Closed   

Priority: Normal   

Assignee: Ondřej Pražák   

Category: API   

Target version:    

Difficulty:  Fixed in Releases: 2.0.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6966

  

Description

It would be good to have a list of menu items that current user has access to for smoke testing.

Associated revisions

Revision ea956aa2 - 01/05/2020 09:04 AM - Ondřej Pražák

Fixes #27547 - Add endpoint for menu items

Revision 16ab09a8 - 01/05/2020 09:04 AM - Ondřej Pražák

Refs #27547 - Change endpoint to private

Revision 91b32a23 - 01/05/2020 09:04 AM - Ondřej Pražák

Refs #27547 - Address comments

History

#1 - 08/08/2019 10:22 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6966 added

#2 - 01/05/2020 09:04 AM - The Foreman Bot

- Fixed in Releases 2.0.0 added

#3 - 01/05/2020 10:01 AM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

Applied in changeset ea956aa2970100ebee79ab2e1dffa21d84d0d947.

#4 - 01/09/2020 08:58 AM - Ohad Levy

- Related to Task #23447: Change login process to support SPA added

#5 - 01/09/2020 08:58 AM - Ohad Levy

- Related to deleted (Task #23447: Change login process to support SPA)

#6 - 02/17/2020 12:35 PM - Tomer Brisker

- Category set to API
